Skip to main content
POST
Cancel a Deployment Shipment

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

orderId
string
required
shipmentId
string
required

Body

application/json
acknowledgeUnvoidedLabel
boolean

Response

The canceled shipment.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
direction
enum<string>
required
Available options:
outbound,
inbound
trackingNumber
string | null
required
externalShipmentId
string | null
required
carrierCode
string | null
required
serviceCode
string | null
required
labelId
string | null
required
labelUrl
string | null
required
shipmentCost
number | null
required
recipientName
string | null
required
recipientPhone
string | null
required
addressType
enum<string> | null
required
Available options:
dba,
legal,
mailing,
iso,
other
addressLine1
string | null
required
addressLine2
string | null
required
city
string | null
required
state
string | null
required
zip
string | null
required
status
enum<string>
required
Available options:
pending,
label_created,
shipped,
in_transit,
out_for_delivery,
delivered,
exception,
canceled
shippedDate
string | null
required
deliveredDate
string | null
required
weight
number | null
required
length
number | null
required
width
number | null
required
height
number | null
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$